%define api 2
%define major 6
%define libname %mklibname %name %api %major
%define develname %mklibname -d %name

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit-qt
Version:	0.8.8
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Packaging
Source0: 	http://www.packagekit.org/releases/PackageKit-Qt-%version.tar.xz
URL:		http://www.packagekit.org
BuildRequires: packagekit >= %{version}
BuildRequires: qt4-devel
BuildRequires: cmake
Requires:	packagekit >= %{version}

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary: Libraries for accessing PackageKit-Qt
Group: System/Packaging
Requires: packagekit >= %{version}

%description -n %{libname}
Libraries for accessing PackageKit-Qt.

%package -n %{develname}
Summary: Libraries and headers for PackageKit
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: packagekit-devel < 0.8.6

%description -n %{develname}
Headers and libraries for PackageKit.

%prep
%setup -q -n PackageKit-Qt-%version
%apply_patches

%build
%cmake_qt4
%make

%install
%makeinstall_std -C build

%files -n %{libname}
%{_libdir}/lib%{name}%{api}.so.%{major}
%{_libdir}/lib%{name}%{api}.so.%{version}

%files -n %{develname}
%{_includedir}/PackageKit/%{name}%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/%{name}%{api}


%changelog
* Mon Jan 06 2014 pterjan <pterjan> 0.8.8-3.mga4
+ Revision: 565142
- Rebuild with fixed packagekit

* Sat Oct 19 2013 umeabot <umeabot> 0.8.8-2.mga4
+ Revision: 530883
- Mageia 4 Mass Rebuild

* Tue Jul 30 2013 fwang <fwang> 0.8.8-1.mga4
+ Revision: 460843
- update file list
- new version 0.8.8

* Tue Jan 22 2013 fwang <fwang> 0.8.6-4.mga3
+ Revision: 390717
- update rpm group

* Sun Jan 13 2013 umeabot <umeabot> 0.8.6-3.mga3
+ Revision: 362344
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.8.6-2.mga3
+ Revision: 323758
- correct libname

* Sat Dec 01 2012 fwang <fwang> 0.8.6-1.mga3
+ Revision: 323717
- add requires as it is communcating to pk via dbus
- update file list
- imported package packagekit-qt

